Qt Cryptographic Architecture: QCA::PBKDF2 Class Reference

Qt Cryptographic Architecture

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
QCA::PBKDF2 Class Reference
QCA user API

`#include <QtCrypto>`

Collaboration diagram for QCA::PBKDF2:
[legend]

## Public Member Functions
| PBKDF2 (const QString &algorithm=QStringLiteral("sha1"), const QString &provider=QString())
Public Member Functions inherited from QCA::KeyDerivationFunction
| KeyDerivationFunction (const KeyDerivationFunction &from)
SymmetricKey | makeKey (const SecureArray &secret, const InitializationVector &salt, unsigned int keyLength, unsigned int iterationCount)
SymmetricKey | makeKey (const SecureArray &secret, const InitializationVector &salt, unsigned int keyLength, int msecInterval, unsigned int *iterationCount)
KeyDerivationFunction & | operator= (const KeyDerivationFunction &from)
Public Member Functions inherited from QCA::Algorithm
| Algorithm (const Algorithm &from)
void | change (Provider::Context *c)
void | change (const QString &type, const QString &provider)
Provider::Context * | context ()
const Provider::Context * | context () const
Algorithm & | operator= (const Algorithm &from)
Provider * | provider () const
Provider::Context * | takeContext ()
QString | type () const

## Additional Inherited Members
Static Public Member Functions inherited from QCA::KeyDerivationFunction
static QString | withAlgorithm (const QString &kdfType, const QString &algType)
Protected Member Functions inherited from QCA::KeyDerivationFunction
| KeyDerivationFunction (const QString &type, const QString &provider)
Protected Member Functions inherited from QCA::Algorithm
| Algorithm ()
| Algorithm (const QString &type, const QString &provider)

## Detailed Description

Password based key derivation function version 2.

This class implements Password Based Key Derivation Function version 2, as specified in RFC2898, and also in PKCS#5.

## Constructor & Destructor Documentation

QCA::PBKDF2::PBKDF2 | ( | const QString & | algorithm = `QStringLiteral("sha1")`,
|  | const QString & | provider = `QString()`
| ) |  |
| inlineexplicit

Standard constructor.

Parameters

  algorithm | the name of the hashing algorithm to use
  provider | the name of the provider to use, if available

The documentation for this class was generated from the following file:

- qca_basic.h